//========================================================================================
//
//	File:				ClockDef.h
//	Release Version:	$ 1.0d1 $
//
//	Author:				Lonnie Millett
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CLOCKDEF_H
#define CLOCKDEF_H

// Kind
#define kSampleClockKind "Apple:Kind:Framework:Sample:Clock"

// Class ID
#define kCClockPartID "appl:framework:sample:clockpart$class"

// Editor User String
#define kSampleClockEditorUserString "Sample Clock 1.0"

// Kind User String
#define kSampleClockKindUserString "Sample Clock"

// Category User String
#define kSampleClockCategoryUserString "Time"

// Clock OSType
#define kSampleClockOSType 'CLCK'

#define FW_kKindCategoryMapId		kNMAPid+1
#define FW_kEditorKindMapId			kNMAPid+2
#define FW_kEditorUserStringMapId	kNMAPid+3
#define FW_kKindUserStringMapId		kNMAPid+4
#define FW_kCategoryUserStringMapId	kNMAPid+5
#define FW_kOldMacOSTypeMapId		kNMAPid+6

// Menus
#define kClockTypeMenu 5
#define kClockSoundsMenu 6

// Strings
#define kClockPartStrings 1000
#define kClockAnalogMenuString 1
#define kClockDigitalMenuString 2
#define kClockDigitalWidthString 3
#define kClockFaceString 4

// Sounds
#define kClockChime 1000
#define kClockTick 1001

#endif

