//========================================================================================
//
//	File:							ODText.h
//	Release Version:	$ 1.0d1 $
//
//	Author:						Anthone Burbidge
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef _ODTEXT_
#define _ODTEXT_

// ----- Textension Includes -----

#ifndef _Textension_
#include "Textension.h"
#endif

//========================================================================================
// CLASS COpenDocText
//========================================================================================

class COpenDocText : public CTextension
{
//----------------------------------------------------------------------------------------
//	 Initialization/Destruction
//
public:
					COpenDocText();
	virtual			~COpenDocText();
	
	OSErr			InitOpenDocText(GrafPtr textPort,
									TTextensionHandlers* handlers,
									TSize sizeInfo);

//----------------------------------------------------------------------------------------
//	 New API
//
public:
	virtual void NotifyEmbeddedPartsOfPositionChange(long firstFormatLine,
													 long lastFormatLine);

//----------------------------------------------------------------------------------------
//	 Inherited API
//
protected:
	virtual void 	EndEdit(const TEditInfo* editInfo,
							long firstFormatLine, long lastFormatLine,
							TOffset* selOffset=nil, Boolean updateKeyScript=true);
};

#endif
