//========================================================================================
//
//	File:				RulerFrame.h
//	Release Version:	$ 1.0d1 $
//
//	Author:				Anthone Burbidge
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef _RULERFRAME_
#define _RULERFRAME_

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif


//========================================================================================
// Forward class declarations
//========================================================================================

class CTextPart;
class CTextFacet;


//========================================================================================
// CRulerFrame
//========================================================================================

class CRulerFrame : public FW_CFrame
{
// ----- Initialization/destruction
public:		
	CRulerFrame();
	void IRulerFrame(XMPFrame* xmpFrame, CTextPart* textPart);
	virtual ~ CDECL CRulerFrame();

// ----- From FW_CFrame
public:		
	virtual void			FocusStateChanged(XMPTypeToken focus, FW_Boolean newState);
	virtual FW_CFacet*		NewFacet(XMPFacet* xmpFacet);
	
// ----- Data Members
private:	
	CTextPart*				fTextPart;
};

#endif
