//========================================================================================
//
//	File:				TextDef.h
//	Release Version:	$ 1.0d1 $
//
//	Author:				Anthone Burbidge
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef _TEXTDEF_
#define _TEXTDEF_

// Kind
#define kSampleTextensionKind	"Apple:Kind:Framework:Sample:Textension"
#define kSampleTextKind			"Apple:Kind:Framework:Sample:Text"

// Class ID
#define kCTextPartID "appl:framework:sample:textpart$class"

// Editor User String
#define kSampleTextEditorUserString "Sample Text 1.0"

// Kind User String
#define kSampleTextensionKindUserString "Textension"
#define kSampleTextKindUserString 		"Text"

// Category User String
#define kSampleTextCategoryUserString "Styled Text"

// Text OSType
#define kSampleTextOSType 'TEXT'

#ifdef ASLMBUILD
#define FW_kKindCategoryMapId		kNMAPid+1
#define FW_kEditorKindMapId			kNMAPid+2
#define FW_kEditorUserStringMapId	kNMAPid+3
#define FW_kKindUserStringMapId		kNMAPid+4
#define FW_kCategoryUserStringMapId	kNMAPid+5
#define FW_kOldMacOSTypeMapId		kNMAPid+6
#else
// For the static build, the value of FW_kKindCategoryMap must pick up where the last part
// left off. kNMAPid+49 is the last value used by the movie part.
#define FW_kKindCategoryMapId		kNMAPid+50
#define FW_kEditorKindMapId			kNMAPid+51
#define FW_kEditorUserStringMapId	kNMAPid+52
#define FW_kKindUserStringMapId		kNMAPid+53
#define FW_kCategoryUserStringMapId	kNMAPid+54
#define FW_kOldMacOSTypeMapId			kNMAPid+55
#endif

// Frame Presentations
#define CTextPart_kMainPresentation			"Apple:Presentation:TextPart:Main"
#define CTextPart_kRulerPresentation		"Apple:Presentation:TextPart:Ruler"
#define CTextPart_kScrollerPresentation	"Apple:Presentation:TextPart:Scroller"

#endif