//========================================================================================
//
//	File:							StyleInfo.cpp
//	Release Version:	$ 1.0d1 $
//
//	Author:						Anthone Burbidge
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef _TEXTPART_
#include "TextPart.h"
#endif

#ifndef _STYLEINFO_
#include "StyleInfo.h"
#endif

#pragma segment TextPartSegment


//========================================================================================
// Global variables definitions
//========================================================================================

SFontSizeTable gFontSizeTable[] = 
{
	{ "\p9", 9 },
	{ "\p10", 10 },
	{ "\p11", 11 },
	{ "\p12", 12 },
	{ "\p14", 14 },
	{ "\p18", 18 },
	{ "\p24", 24 },
	{ "\p36", 36 },
	{ "\p64", 64 },
	{ "\p128", 128 },
	{ "\p256", 256 },
	{ "\p512", 512 },
	{ NULL, 0 }
};

