//  The C++ Booch Components (Version 2.1)
//  (C) Copyright 1990-1993 Grady Booch. All Rights Reserved.
//
//  BCOCol.h
//
//  This file contains the declaration of the ordered collection abstract base class.

#ifndef BCOCOL_H
#define BCOCOL_H 1

#include "BCColl.h"

// Ordered collection abstract base class

template<class Item>
class BC_TOrderedCollection : public BC_TCollection<Item> {
public:

  BC_TOrderedCollection();
  BC_TOrderedCollection(BC_Index (*)(const Item&));
  BC_TOrderedCollection(const BC_TOrderedCollection<Item>&);
  virtual ~BC_TOrderedCollection();

  virtual void SetOrderFunction(BC_Index (*)(const Item&));

protected:

  BC_Index (*fOrder)(const Item&);

};

#endif
