#if defined(FW_DEBUG) && defined(FW_BUILD_WIN) && !defined(FWWTRACE_H)
#define FWWTRACE_H
// This entire file is for debugging Windows applications only
//========================================================================================
//
//	File:				FWWTrace.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef _INC_WINDOWS
#include <Windows.h>
#endif

#ifdef __cplusplus 
extern "C" {
#endif

	void FAR PASCAL FW_PrivWinGetCallerInfo(HANDLE* phModule,
									 char* zModule,
									 WORD* pwSegment,
									 WORD* pwOffset,
									 unsigned n_TraceDepth);
		// Crawls the stack and returns caller info as follows: *phModule is the Windows
		// module handle, zModule (if not NULL) receives the name, *pwSegment is the
		// ordinal segment number and pwOffset is the offset within that segment.
		// n_TraceDepth specifies how far to crawl.
		
	void FAR PASCAL FW_PrivWinGetModuleName(HANDLE hModule,
									 char* zModule);
		// Returns name of a Windows module identified by handle hModule.
		// Module names do not exceed 8 characters.

#ifdef __cplusplus 
}
#endif
	  
#endif
