#ifndef FWFWEAKC_H
#define FWFWEAKC_H
//========================================================================================
//
//	File:				FWBreakC.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWAUTODE_H
#include "FWAutoDe.h"
#endif

#ifndef   FWCLAINF_H
#include "FWClaInf.h"
#endif

//========================================================================================
// CLASS FW_CExceptionBreakContext
//
//		A helper class for exception debugging.  See the macro FW_EXCEPTION_FWEAK_CONTEXT
//========================================================================================

#ifdef FW_DEBUG
class FW_CExceptionBreakContext : public _FW_CAutoDestructObject
{
public:
	FW_CExceptionBreakContext(FW_ClassReference breakExceptionKind);
	virtual ~FW_CExceptionBreakContext();

private:
	FW_ClassReference fLastBreakExceptionKind;
};
#endif

#endif
