#if !defined(FWSPOSTE_H)
#define FWSPOSTE_H
//========================================================================================
//
//	File:				FWSPostE.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "stddef.h"

class _FW_CException;

// Globals for posted exceptions 
struct FW_SPrivPostedExceptionGlobals
{
	short 			gPending;
		// 1 if an exception is pending, 0 if not.

	_FW_CException*	gPostedException;
		// the exception buffer, allocated in constructor.

	short			gMaxPostedSize;
		// size of exception buffer.
		
	short			gInitialized;
		// Only one instance of this class should exist.
		// First instance sets gInitialized to 1.
		// A second attempt to create an instance will fail.
};

#endif
