//========================================================================================
//
//	File:							SndPartDef.h
//	Release Version:	$ 1.0d1 $
//
//	Author:						Lonnie Millett
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SNDPARTDEF_H
#define SNDPARTDEF_H

// Kind
#define kSampleSndKind "Apple:OSType:Scrap:snd "

// Class ID
#define kCSndPartID "appl:framework:sample:sndpart$class"

// Editor User String
#define kSampleSndEditorUserString "Sample Snd 1.0"

// Kind User String
#define kSampleSndKindUserString "Sample Snd"

// Category User String
#define kSampleSndCategoryUserString "Sound"

// snd OSType
#define kSampleSndOSType 'snd '

#ifdef ASLMBUILD
#define FW_kKindCategoryMapId		kNMAPid+1
#define FW_kEditorKindMapId			kNMAPid+2
#define FW_kEditorUserStringMapId	kNMAPid+3
#define FW_kKindUserStringMapId		kNMAPid+4
#define FW_kCategoryUserStringMapId	kNMAPid+5
#define FW_kOldMacOSTypeMapId		kNMAPid+6
#else
// For the static build, the value of FW_kKindCategoryMap must pick up where the last part
// left off. kNMAPid+25 is the last value used by the engineer's test parts.
#define FW_kKindCategoryMapId		kNMAPid+26
#define FW_kEditorKindMapId			kNMAPid+27
#define FW_kEditorUserStringMapId	kNMAPid+28
#define FW_kKindUserStringMapId		kNMAPid+29
#define FW_kCategoryUserStringMapId	kNMAPid+30
#define FW_kOldMacOSTypeMapId		kNMAPid+31
// Our clock part picks up with kNMAPid+32, see CClockDef.h
#endif

#endif

