/*
	File:		TSMRun.h

	Contains:	xxx put contents here xxx

	Written by:	Essam Zaky

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	  1/4/94	EZ		clean up
		 <1>	  1/4/94	EZ		first checked in

*/

#ifndef _TSMRun_
#define _TSMRun_

#ifndef _QDTextRun_
#include "QDTextRun.h"
#endif
//***************************************************************************************************

//TSMRun constants
//constants for additional values for QDTextRun->fFace
const long kRawTextFace = 1 << 8;
const long kSelectedRawTextFace = 1 << 9;
const long kConvertedTextFace = 1 << 10;
const long kSelectedConvertedTextFace = 1 << 11;

const long kTSMSumFaces = kRawTextFace+kSelectedRawTextFace+kConvertedTextFace+kSelectedConvertedTextFace;

const short kCountTSMFaces = 4;

//***************************************************************************************************

class	CTSMRun	:	public CQDTextRun {
public:
//-----
	CTSMRun();
		
	inline void ITSMRun() {this->IQDTextRun();}
	
	//override
	
	virtual CAttrObject* CreateNew() const;
	
	virtual TObjFlags GetObjFlags();
	
	//we don't override "GetFaceAttrFlags" ==> all "kTSMSumFaces" don't affect both h and v formatting
	
	virtual void DoDrawJust(DrawJustPb* paramPb);

protected:
//--------

private:
//--------
};
//***************************************************************************************************


#endif
