/*
	File:		ToolBoxDump.h

	Contains:	xxx put contents here xxx

	Written by:	xxx put writers here xxx

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	  1/4/94	EZ		first checked in

*/

#ifndef _ToolBoxDump_
#define _ToolBoxDump_

#ifndef __STDLIB__
#include <stdlib.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __ERRORS__
#include <Errors.h>
#endif

#ifndef __GESTALTEQU__
#include <GestaltEqu.h>
#endif

#if !defined(__LOWMEM__) && defined(qUniversalHeaders)
#include <LowMem.h>
#endif

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __MEMORY__
#include <Memory.h>
#endif

#ifndef __EVENTS__
#include <Events.h>
#endif

#ifndef __OSUtils__
#include <OSUtils.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __FONTS__
#include <Fonts.h>
#endif

#ifndef __RESOURCES__
#include <Resources.h>
#endif

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __SCRIPT__
#include <Script.h>
#endif

#ifndef __TOOLUTILS__
#include <ToolUtils.h>
#endif

#ifndef __FIXMATH__
#include <FixMath.h>
#endif

#if !defined(qUniversalHeaders)
#endif

// AMB - Stuff for accessing quickdraw globals from a shared library

#if !defined(qUniversalHeaders)
#include "SysEqu.h"
#endif

typedef struct
{
	char	privates[76];
	long	randSeed;
	BitMap	screenBits;
	Cursor	arrow;
	Pattern	dkGray;
	Pattern	ltGray;
	Pattern	gray;
	Pattern	black;
	Pattern	white;
	GrafPtr	thePort;
} QDGlobalRec;


#if !defined(qUniversalHeaders)
#define ASLMQDGlobals ( *(QDGlobalRec*)( **(char***)CurrentA5 \
							- sizeof(QDGlobalRec) + sizeof(GrafPtr) ) )
#else
#define ASLMQDGlobals ( *(QDGlobalRec*)( *(char**)LMGetCurrentA5() \
							- sizeof(QDGlobalRec) + sizeof(GrafPtr) ) )
#endif

#endif

//***************************************************************************************************
