#ifndef FWMATH_H
#define FWMATH_H
//========================================================================================
//
//	File:				FWMath.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/25/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

	
	template<class tType>
	tType FW_Minimum(tType a, tType b) { return a<b ? a : b; }
	
	template<class tType>
	tType FW_Maximum(tType a, tType b) { return a>b ? a : b; }
	
	template<class tType>
	tType FW_Absolute(tType a) { return a<0 ? -a : a; }
	

#endif
