#if !defined(FWSTRACE_H) && defined(FW_DEBUG)
#define FWSTRACE_H
//========================================================================================
//
//	File:				FWSTrace.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWDBGSTR_H
#include "FWDbgStr.h"
#endif

class FW_CDebugConsole;

// Globals for runtime tracing
struct FW_SPrivTraceGlobals
{
	FW_CDebugConsole*	gDebugConsole;			// Currently installed debug console
	unsigned short	gTraceEnabled;			// Tracing enabling counter
	FW_CDebugStream*	gTraceStream;			// Trace output stream
	unsigned short  	gTraceDepth;			// Depth of tracing (call depth)
#ifdef FW_BUILD_WIN
	void*				gTraceBuffer;			// Used to trace function calls
#endif
};

#endif
