#ifdef FW_DEBUG
//========================================================================================
//
//	File:				FWTraceT.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWTRACET_H
#include "FWTraceT.h"
#endif

#ifndef FWPRIDEB_H
#include "FWPriDeb.h"
#endif

//----------------------------------------------------------------------------------------
// FW_CPrivTraceTaskGlobals::Initialize
//----------------------------------------------------------------------------------------

void FW_CPrivTraceTaskGlobals::Initialize(FW_SPrivTraceGlobals& globals)
{
	static FW_CDebugConsole sDebugConsole;
	globals.gDebugConsole = &sDebugConsole;
	globals.gTraceEnabled = 0;
	globals.gTraceStream = 0;
//	globals.gTraceDepth = 0;
		// Don't initialize gTraceDepth.  We want the zero value given to it earlier,
		// and it's possible its already been incremented before getting here.
		// See comment in FWTrace.c
#if defined(FW_BUILD_WIN)
	globals.gTraceBuffer = NULL;
#endif
}

//----------------------------------------------------------------------------------------
// FW_CPrivTraceTaskGlobals::Terminate
//----------------------------------------------------------------------------------------

void FW_CPrivTraceTaskGlobals::Terminate()
{
}

#endif
