#ifndef FWEXCTAS_H
#define FWEXCTAS_H
//========================================================================================
//
//	File:				FWExcTas.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWPRITAS_H
#include "FWPriTas.h"
#endif

#ifndef   FWSEXCEP_H
#include "FWSExcep.h"
#endif

//========================================================================================
// CLASS FW_CExceptionTaskGlobals
//========================================================================================

class FW_CExceptionTaskGlobals
{

public:

	static void Initialize(FW_SPrivExceptionGlobals& globals);
	static void Terminate();

	static FW_SPrivExceptionGlobals&			GetExceptionGlobals();

private:

	enum
	{
		kExceptionGlobalsOffset = 22
	};
	
	FW_CExceptionTaskGlobals();
};

//----------------------------------------------------------------------------------------
//	FW_CExceptionTaskGlobals::GetExceptionGlobals
//----------------------------------------------------------------------------------------

inline FW_SPrivExceptionGlobals& FW_CExceptionTaskGlobals::GetExceptionGlobals()
{
	FW_SPrivExceptionGlobals *globals = (FW_SPrivExceptionGlobals*)
				FW_CPrivTaskGlobals::GetTaskGlobals(kExceptionGlobalsOffset);
	if (globals->gBaseContext == 0)
		Initialize(*globals);
	return *globals;
}

#endif
