//========================================================================================
//
//	File:				FWBreakC.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWFWEAKC_H
#include "FWBreakC.h"
#endif

#ifndef   FWEXCRUN_H
#include "FWExcRun.h"
#endif

#ifndef FWEXCDEF_H
#include "FWExcDef.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment BEL
#endif

//========================================================================================
// CLASS FW_CExceptionBreakContext
//========================================================================================

//----------------------------------------------------------------------------------------
// FW_CExceptionBreakContext::FW_CExceptionBreakContext
//----------------------------------------------------------------------------------------
#ifdef FW_DEBUG
FW_CExceptionBreakContext::FW_CExceptionBreakContext(FW_ClassReference breakExceptionKind) :
	fLastBreakExceptionKind(_FW_CExceptionRuntime::SetBreakOnThrow(breakExceptionKind))
{
	FW_END_CONSTRUCTOR
}
#endif

//----------------------------------------------------------------------------------------
// FW_CExceptionBreakContext::~FW_CExceptionBreakContext
//----------------------------------------------------------------------------------------
#ifdef FW_DEBUG
FW_CExceptionBreakContext::~FW_CExceptionBreakContext()
{
	FW_START_DESTRUCTOR
	_FW_CExceptionRuntime::SetBreakOnThrow(fLastBreakExceptionKind);
}
#endif

