//========================================================================================
//
//	File:				FWExcTas.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef   FWEXCTAS_H
#include "FWExcTas.h"
#endif

#ifndef   FWDELSTA_H
#include "FWDelSta.h"
#endif

#ifndef   FWEXCRUN_H
#include "FWExcRun.h"
#endif

#ifndef   FWEXCLOG_H
#include "FWExcLog.h"
#endif

#ifndef   FWPOSTEX_H
#include "FWPostEx.h"
#endif

#ifndef   FWTRYBLO_H
#include "FWTryBlo.h"
#endif

#ifndef   FWNEWHEL_H
#include "FWNewHel.h"
#endif

#ifndef   FWPRIMEM_H
#include "FWPriMem.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment BEL
#endif

//----------------------------------------------------------------------------------------
// FW_CExceptionTaskGlobals::Initialize()
//----------------------------------------------------------------------------------------

void FW_CExceptionTaskGlobals::Initialize(FW_SPrivExceptionGlobals& globals)
{
	_FW_CDeleteStack::Initialize(globals);
	_FW_CPrivNewHelper::Initialize(globals);
	_FW_CExceptionRuntime::Initialize(globals);
}

//----------------------------------------------------------------------------------------
// FW_CExceptionTaskGlobals::Terminate()
//----------------------------------------------------------------------------------------
void FW_CExceptionTaskGlobals::Terminate()
{
	_FW_CExceptionRuntime::Terminate();
	_FW_CPrivNewHelper::Terminate();
	_FW_CDeleteStack::Terminate();
}
