//========================================================================================
//
//	File:				FWScroll.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSCROLL_H
#define FWSCROLL_H

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWFACET_H
#include "FWFacet.h"
#endif

//==============================================================================
//	 Forward Declarations
//==============================================================================

class XMPFrame;
class XMPFacet;

//==============================================================================
//	 defines
//==============================================================================

#define kScrollerFrameID 'sclf'

//==============================================================================
//	 class FW_CScrollerFrame
//==============================================================================

#define kFW_CScrollerFrameID "appl:framework:cscrollerframe$class,1.0.0"

class FW_CScrollerFrame : public FW_CFrame
{
public:
	FW_CScrollerFrame();
	void InitScrollerFrame(XMPFrame* xmpFrame, FW_CPart* part);
	virtual ~ CDECL FW_CScrollerFrame();
	
	virtual FW_CFacet* NewFacet(XMPFacet* xmpFacet);
};

//==============================================================================
//	 FW_CScrollerFacet
//==============================================================================

#define kFW_CScrollerFacetID "appl:framework:cscrollerfacet$class,1.0.0"

class FW_CScrollerFacet : public FW_CFacet
{
public:
	FW_CScrollerFacet();
	void InitScrollerFacet(XMPFacet* xmpFacet);
	virtual ~FW_CScrollerFacet();
};

#endif