//========================================================================================
//
//	File:				FWEventH.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWEVENTH_H
#include "FWEventH.h"
#endif

#pragma segment framework

//==============================================================================
//	 class FW_MEventHandler
//==============================================================================

//------------------------------------------------------------------------------
//	 FW_MEventHandler::FW_MEventHandler
//------------------------------------------------------------------------------

FW_MEventHandler::FW_MEventHandler()
{
	fIdentifier = kNoIdentifier;
	fNextEventHandler = NULL;
	fActive = FALSE;
}

//------------------------------------------------------------------------------
//	 FW_MEventHandler::~FW_MEventHandler
//------------------------------------------------------------------------------

FW_MEventHandler::~FW_MEventHandler()
{
}

//------------------------------------------------------------------------------
//	 FW_MEventHandler::SetIdentifier
//------------------------------------------------------------------------------

void FW_MEventHandler::SetIdentifier(XMPID indentifier)
{
	fIdentifier = indentifier;
}

//------------------------------------------------------------------------------
//	 FW_MEventHandler::Activate
//------------------------------------------------------------------------------

FW_Boolean FW_MEventHandler::Activate()
{
	fActive = TRUE;
	return TRUE;
}

//------------------------------------------------------------------------------
//	 FW_MEventHandler::Deactivate
//------------------------------------------------------------------------------

void FW_MEventHandler::Deactivate()
{
	fActive = FALSE;
}

//------------------------------------------------------------------------------
//	 FW_MEventHandler::IsActive()
//------------------------------------------------------------------------------

FW_Boolean FW_MEventHandler::IsActive() const
{
	return fActive;
}

