//========================================================================================
//
//	File:				FWScroll.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSCROLL_H
#include "FWScroll.h"
#endif

// ----- OpenDoc Includes -----

#ifndef _FRAME_
#include <Frame.h>
#endif

#ifndef _FACET_
#include <Facet.h>
#endif

#pragma segment framework

//==============================================================================
//	 class FW_CScrollerFrame
//==============================================================================

//------------------------------------------------------------------------------
//	 FW_CScrollerFrame::FW_CScrollerFrame
//------------------------------------------------------------------------------

FW_CScrollerFrame::FW_CScrollerFrame()
{
}

//------------------------------------------------------------------------------
//	 FW_CScrollerFrame::FW_CScrollerFrame
//------------------------------------------------------------------------------

void FW_CScrollerFrame::InitScrollerFrame(XMPFrame* xmpFrame, FW_CPart* part)
{
	InitFrame(xmpFrame, part);
}

//------------------------------------------------------------------------------
//	 FW_CScrollerFrame::FW_CScrollerFrame
//------------------------------------------------------------------------------

FW_CScrollerFrame::~FW_CScrollerFrame()
{
}

//------------------------------------------------------------------------------
//	 FW_CScrollerFrame::NewFacet
//------------------------------------------------------------------------------

FW_CFacet* FW_CScrollerFrame::NewFacet(XMPFacet* xmpFacet)
{
	FW_CScrollerFacet* facet = new FW_CScrollerFacet;
	facet->InitScrollerFacet(xmpFacet);
	return facet;
}

//==============================================================================
//	 class FW_CScrollerFacet
//==============================================================================

//------------------------------------------------------------------------------
//	 FW_CScrollerFacet::FW_CScrollerFacet
//------------------------------------------------------------------------------

FW_CScrollerFacet::FW_CScrollerFacet()
{
}

//------------------------------------------------------------------------------
//	 FW_CScrollerFacet::FW_CScrollerFacet
//------------------------------------------------------------------------------

void FW_CScrollerFacet::InitScrollerFacet(XMPFacet* xmpFacet)
{
	InitFacet(xmpFacet);
}

//------------------------------------------------------------------------------
//	 FW_CScrollerFacet::FW_CScrollerFacet
//------------------------------------------------------------------------------

FW_CScrollerFacet::~FW_CScrollerFacet()
{
}

